package com.ym.library.module;



import java.util.List;

public class TaskListEntity {

    private List<NewsEntity> userTask;

    public List<NewsEntity> getUserTask() {
        return userTask;
    }

    public void setUserTask(List<NewsEntity> userTask) {
        this.userTask = userTask;
    }

    public static class UserTaskBean {
        /**
         * awardParticle : 1
         * big_images : []
         * appmodel_id : 48
         * description : 安全提现 获得更多金币
         * clk_tracking : ["http://bstest.zhangxinhulian.com/v1/tracking?key=eyJhY3Rpb24iOiJjbGljayIsImFkSWQiOiIyMTUxIiwic2xvdElkIjoiODk2Iiwic2xvdFR5cGUi%0AOjAsInVpZCI6IjExMDY5NiIsImRldmljZSI6IjYyZjI5MGE2OWU5ZDRhNzBlZmZiNTZjMjljOGMw%0AY2RjIiwicGtnIjoiY29tLnp4aGwuZnVubnljYWxsIiwiaXAiOiI0My4yMjQuNDcuMjEwIiwic291%0AcmNlIjoiZ3VhbndhbmciLCJvcyI6ImFuZHJvaWQiLCJvc1ZlcnNpb24iOiIyOCIsImltZWkiOiI4%0ANjQzOTYwNDI1NDAzMTciLCJpbXNpIjoiNDYwMDAwNzkwMjUyNDI1IiwibWFjIjoiQjI6QjE6QzQ6%0ARTU6QTk6NTgiLCJpZGZhIjoidW5rbm93biIsImFuZHJvaWRJZCI6IjJiNDQ0ZWRiODYxMGFlZGIi%0ALCJ1c2VyQWdlbnQiOiJEYWx2aWsvMi4xLjAgKExpbnV4OyBVOyBBbmRyb2lkIDk7IE1JIDggU0Ug%0ATUlVSS9WMTAuMy4yLjAuUEVCQ05YTSkiLCJ3ZWJVc2VyQWdlbnQiOiJEYWx2aWsvMi4xLjAgKExp%0AbnV4OyBVOyBBbmRyb2lkIDk7IE1JIDggU0UgTUlVSS9WMTAuMy4yLjAuUEVCQ05YTSkiLCJicmFu%0AZCI6IlhpYW9taSIsIm1vZGVsIjoiTUk4U0UiLCJpc1Jvb3QiOjAsInNzaWQiOiJ1bmtub3duIiwi%0AdmVyc2lvbiI6IjEuMC4wIiwiY2F0ZWdvcnkiOjAsImNvbm5lY3Rpb25UeXBlIjoxLCJjYXJyaWVy%0AIjoxLCJ2YyI6MSwicmVxSWQiOiI4ZWU0NTYxOS1jMWQ1LTRmZTMtYjcyZC1mNmQ1MDZmY2MyOGQi%0ALCJ0aW1lIjowLCJhcHBLZXkiOiIifQ%3D%3D%0A"]
         * title : 绑定手机号
         * type : 3
         * alertRenderType : 1
         * shareType : 1
         * awardDesc : 500
         * sid : 2151
         * slotName : new_task
         * slot_ad_type : 2
         * adType : 1
         * redPacketFlag : 0
         * sdkShowTimes : 0
         * image_render_type : 2
         * awardLimit : 1
         * ext :
         * awardCoins : 500
         * buttonText : 去绑定
         * cpmPrice : 0
         * explorerType : 1
         * images : ["http://storage.huolea.com/WechatIMG10294.jpeg"]
         * coins : 500
         * label : 广告
         * timeTrigger : 0
         * reqId : 8ee45619-c1d5-4fe3-b72d-f6d506fcc28d
         * cornerText :
         * slot_id : 896
         * imp_tracking : ["http://bstest.zhangxinhulian.com/v1/tracking?key=eyJhY3Rpb24iOiJzaG93IiwiYWRJZCI6IjIxNTEiLCJzbG90SWQiOiI4OTYiLCJzbG90VHlwZSI6%0AMCwidWlkIjoiMTEwNjk2IiwiZGV2aWNlIjoiNjJmMjkwYTY5ZTlkNGE3MGVmZmI1NmMyOWM4YzBj%0AZGMiLCJwa2ciOiJjb20uenhobC5mdW5ueWNhbGwiLCJpcCI6IjQzLjIyNC40Ny4yMTAiLCJzb3Vy%0AY2UiOiJndWFud2FuZyIsIm9zIjoiYW5kcm9pZCIsIm9zVmVyc2lvbiI6IjI4IiwiaW1laSI6Ijg2%0ANDM5NjA0MjU0MDMxNyIsImltc2kiOiI0NjAwMDA3OTAyNTI0MjUiLCJtYWMiOiJCMjpCMTpDNDpF%0ANTpBOTo1OCIsImlkZmEiOiJ1bmtub3duIiwiYW5kcm9pZElkIjoiMmI0NDRlZGI4NjEwYWVkYiIs%0AInVzZXJBZ2VudCI6IkRhbHZpay8yLjEuMCAoTGludXg7IFU7IEFuZHJvaWQgOTsgTUkgOCBTRSBN%0ASVVJL1YxMC4zLjIuMC5QRUJDTlhNKSIsIndlYlVzZXJBZ2VudCI6IkRhbHZpay8yLjEuMCAoTGlu%0AdXg7IFU7IEFuZHJvaWQgOTsgTUkgOCBTRSBNSVVJL1YxMC4zLjIuMC5QRUJDTlhNKSIsImJyYW5k%0AIjoiWGlhb21pIiwibW9kZWwiOiJNSThTRSIsImlzUm9vdCI6MCwic3NpZCI6InVua25vd24iLCJ2%0AZXJzaW9uIjoiMS4wLjAiLCJjYXRlZ29yeSI6MCwiY29ubmVjdGlvblR5cGUiOjEsImNhcnJpZXIi%0AOjEsInZjIjoxLCJyZXFJZCI6IjhlZTQ1NjE5LWMxZDUtNGZlMy1iNzJkLWY2ZDUwNmZjYzI4ZCIs%0AInRpbWUiOjAsImFwcEtleSI6IiJ9%0A"]
         * incentive_level : 10
         * current_nums : 0
         * pk : 2b2f5faf-95a7-4137-8c8e-23e164bf10cd
         * awardRenderType : 1
         * opentype : 7
         * awardType : 1
         * desc : 总可得500金币
         * status : 0
         * redPackageText : 阅读赚金币
         * progress : 0/1
         * icon_url : https://storage.huolea.com/oS2VpUGP.png
         */

        private int awardParticle;
        private int appmodel_id;
        private String description;
        private String title;
        private int type;
        private int alertRenderType;
        private int shareType;
        private int awardDesc;
        private int sid;
        private String slotName;
        private int slot_ad_type;
        private int adType;
        private int redPacketFlag;
        private int sdkShowTimes;
        private int image_render_type;
        private int awardLimit;
        private String ext;
        private int awardCoins;
        private String buttonText;
        private int cpmPrice;
        private int explorerType;
        private int coins;
        private String label;
        private int timeTrigger;
        private String reqId;
        private String delay;
        private String deep_url_re;
        private String cornerText;
        private String alert;
        private int slot_id;
        private int incentive_level;
        private int current_nums;
        private String pk;
        private int awardRenderType;
        private int opentype;
        private int awardType;
        private String desc;
        private int status;
        private int countdownSecond;
        private String redPackageText;
        private String progress;
        private String icon_url;
        private String url;
        private List<?> big_images;
        private List<String> clk_tracking;
        private List<String> images;
        private List<String> imp_tracking;

        public int getCountdownSecond() {
            return countdownSecond;
        }

        public void setCountdownSecond(int countdownSecond) {
            this.countdownSecond = countdownSecond;
        }

        public int getAwardParticle() {
            return awardParticle;
        }

        public void setAwardParticle(int awardParticle) {
            this.awardParticle = awardParticle;
        }

        public int getAppmodel_id() {
            return appmodel_id;
        }

        public void setAppmodel_id(int appmodel_id) {
            this.appmodel_id = appmodel_id;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getAlertRenderType() {
            return alertRenderType;
        }

        public void setAlertRenderType(int alertRenderType) {
            this.alertRenderType = alertRenderType;
        }

        public int getShareType() {
            return shareType;
        }

        public void setShareType(int shareType) {
            this.shareType = shareType;
        }

        public int getAwardDesc() {
            return awardDesc;
        }

        public void setAwardDesc(int awardDesc) {
            this.awardDesc = awardDesc;
        }

        public int getSid() {
            return sid;
        }

        public void setSid(int sid) {
            this.sid = sid;
        }

        public String getSlotName() {
            return slotName;
        }

        public void setSlotName(String slotName) {
            this.slotName = slotName;
        }

        public int getSlot_ad_type() {
            return slot_ad_type;
        }

        public void setSlot_ad_type(int slot_ad_type) {
            this.slot_ad_type = slot_ad_type;
        }

        public int getAdType() {
            return adType;
        }

        public void setAdType(int adType) {
            this.adType = adType;
        }

        public int getRedPacketFlag() {
            return redPacketFlag;
        }

        public void setRedPacketFlag(int redPacketFlag) {
            this.redPacketFlag = redPacketFlag;
        }

        public int getSdkShowTimes() {
            return sdkShowTimes;
        }

        public void setSdkShowTimes(int sdkShowTimes) {
            this.sdkShowTimes = sdkShowTimes;
        }

        public int getImage_render_type() {
            return image_render_type;
        }

        public void setImage_render_type(int image_render_type) {
            this.image_render_type = image_render_type;
        }

        public int getAwardLimit() {
            return awardLimit;
        }

        public void setAwardLimit(int awardLimit) {
            this.awardLimit = awardLimit;
        }

        public String getExt() {
            return ext;
        }

        public void setExt(String ext) {
            this.ext = ext;
        }

        public int getAwardCoins() {
            return awardCoins;
        }

        public void setAwardCoins(int awardCoins) {
            this.awardCoins = awardCoins;
        }

        public String getButtonText() {
            return buttonText;
        }

        public void setButtonText(String buttonText) {
            this.buttonText = buttonText;
        }

        public int getCpmPrice() {
            return cpmPrice;
        }

        public void setCpmPrice(int cpmPrice) {
            this.cpmPrice = cpmPrice;
        }

        public int getExplorerType() {
            return explorerType;
        }

        public void setExplorerType(int explorerType) {
            this.explorerType = explorerType;
        }

        public int getCoins() {
            return coins;
        }

        public void setCoins(int coins) {
            this.coins = coins;
        }

        public String getLabel() {
            return label;
        }

        public void setLabel(String label) {
            this.label = label;
        }

        public int getTimeTrigger() {
            return timeTrigger;
        }

        public void setTimeTrigger(int timeTrigger) {
            this.timeTrigger = timeTrigger;
        }

        public String getReqId() {
            return reqId;
        }

        public void setReqId(String reqId) {
            this.reqId = reqId;
        }

        public String getCornerText() {
            return cornerText;
        }

        public void setCornerText(String cornerText) {
            this.cornerText = cornerText;
        }

        public int getSlot_id() {
            return slot_id;
        }

        public void setSlot_id(int slot_id) {
            this.slot_id = slot_id;
        }

        public int getIncentive_level() {
            return incentive_level;
        }

        public void setIncentive_level(int incentive_level) {
            this.incentive_level = incentive_level;
        }

        public int getCurrent_nums() {
            return current_nums;
        }

        public void setCurrent_nums(int current_nums) {
            this.current_nums = current_nums;
        }

        public String getPk() {
            return pk;
        }

        public void setPk(String pk) {
            this.pk = pk;
        }

        public int getAwardRenderType() {
            return awardRenderType;
        }

        public void setAwardRenderType(int awardRenderType) {
            this.awardRenderType = awardRenderType;
        }

        public int getOpentype() {
            return opentype;
        }

        public void setOpentype(int opentype) {
            this.opentype = opentype;
        }

        public int getAwardType() {
            return awardType;
        }

        public void setAwardType(int awardType) {
            this.awardType = awardType;
        }

        public String getDesc() {
            return desc;
        }

        public void setDesc(String desc) {
            this.desc = desc;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getRedPackageText() {
            return redPackageText;
        }

        public void setRedPackageText(String redPackageText) {
            this.redPackageText = redPackageText;
        }

        public String getProgress() {
            return progress == null ? "" : "(" + progress + ")";
        }

        public void setProgress(String progress) {
            this.progress = progress;
        }

        public String getIcon_url() {
            return icon_url;
        }

        public void setIcon_url(String icon_url) {
            this.icon_url = icon_url;
        }

        public String getUrl() {
            return url;
        }

        public void setUrl(String url) {
            this.url = url;
        }

        public List<?> getBig_images() {
            return big_images;
        }

        public void setBig_images(List<?> big_images) {
            this.big_images = big_images;
        }

        public List<String> getClk_tracking() {
            return clk_tracking;
        }

        public void setClk_tracking(List<String> clk_tracking) {
            this.clk_tracking = clk_tracking;
        }

        public List<String> getImages() {
            return images;
        }

        public void setImages(List<String> images) {
            this.images = images;
        }

        public List<String> getImp_tracking() {
            return imp_tracking;
        }

        public void setImp_tracking(List<String> imp_tracking) {
            this.imp_tracking = imp_tracking;
        }

        public String getAlert() {
            return alert;
        }

        public void setAlert(String alert) {
            this.alert = alert;
        }

        public String getDelay() {
            return delay;
        }

        public void setDelay(String delay) {
            this.delay = delay;
        }

        public String getDeep_url_re() {
            return deep_url_re;
        }

        public void setDeep_url_re(String deep_url_re) {
            this.deep_url_re = deep_url_re;
        }
    }
}
